% Script ot read the CARINA files from csv format and store them as mat
% files so that they can be read fast by matlab.
% You will need the merged data file in csv format, and also a list of
% cruisenumbers and expocodes.
%
% Toste Tanhua 2009.06.05

clear all;

% MAKE SURE YOU HAVE THE RIGHT PATH AND FILENAME
data=csvread('ATL.csv',1,0);

D=length(data(1,:)); 

% MAKE SURE YOU HAVE THE RIGHT PATH AND FILENAME
fid = fopen('ATL.csv');

hdr=textscan(fid,'%s',D,'delimiter',',');     
eval(cat(2,'hdr',int2str(i),'=hdr{1};'));
fclose(fid);

for i=1:length(hdr0);
     carinavar=[hdr0{i}, ' = data(:,i);'];
     eval(carinavar);
end

% To read the expocodes right
% MAKE SURE YOU HAVE THE RIGHT PATH AND FILENAME
fid = fopen('ATLCruises.csv');
crs=textscan(fid,'%s%s%s%s',199,'delimiter',','); 
fclose(fid);
ex=crs{1}; expocode=ex(2:length(ex));
uc=crs{2};  ucruise=uc(2:length(uc));
UC=str2double(ucruise);


% MAKE SURE YOU HAVE THE RIGHT PATH AND FILENAME
save CARINA_ATL_final data hdr0 expocode UC

